List Clusters
curl --request POST \
--url https://api.mixpeek.com/v1/clusters/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"AND": [
{
"field": "name",
"operator": "eq",
"value": "John"
},
{
"field": "age",
"operator": "gte",
"value": 30
}
],
"OR": [
{
"field": "status",
"operator": "eq",
"value": "active"
},
{
"field": "role",
"operator": "eq",
"value": "admin"
}
],
"NOT": [
{
"field": "department",
"operator": "eq",
"value": "HR"
},
{
"field": "location",
"operator": "eq",
"value": "remote"
}
],
"case_sensitive": true
},
"sort": {
"field": "created_at",
"direction": "desc"
},
"search": "<string>"
}
'{
"results": [
{
"cluster_name": "<string>",
"namespace_id": "<string>",
"input_collections": [
"<string>"
],
"cluster_id": "<string>",
"source_bucket_ids": [
"<string>"
],
"filters": {},
"feature_uris": [
"<string>"
],
"multi_feature_strategy": "<string>",
"learned_weights": {},
"learning_quality_score": 123,
"effective_feature_method": "<string>",
"face_cluster_merge": {
"enabled": true,
"centroid_cosine_threshold": 0.55,
"bbox_iou_threshold": 0.4,
"scene_jaccard_threshold": 0.3,
"bbox_field": "bbox",
"frame_field": "frame_number",
"scene_field": "scene_id"
},
"sample_size": 123,
"preprocessing_steps": [
{}
],
"hierarchical_vector": true,
"max_hierarchy_depth": 123,
"clustered_attributes": [
"<string>"
],
"hierarchical_grouping": true,
"aggregation_method": "<string>",
"output_collection_ids": [
"<string>"
],
"output_collection_names": [
"<string>"
],
"algorithm": "<string>",
"algorithm_params": {},
"enrich_source": false,
"source_enrichment_config": {
"field_mappings": [
{
"source_field": "cluster_id",
"target_field": "category_id"
},
{
"source_field": "cluster_label",
"target_field": "category_name"
},
{
"source_field": "distance_to_centroid",
"target_field": "category_confidence"
}
]
},
"llm_labeling": {
"enabled": true,
"include_keywords": true,
"include_summary": true,
"labeling_inputs": {
"input_mappings": [
{
"input_key": "title",
"path": "title",
"source_type": "payload"
},
{
"input_key": "description",
"path": "description",
"source_type": "payload"
},
{
"input_key": "text",
"path": "text",
"source_type": "payload"
}
]
},
"model_name": "gpt-4o-mini-2024-07-18",
"provider": "openai"
},
"num_clusters": 123,
"num_documents_clustered": 123,
"execution_time_seconds": 123,
"quality_metrics": {},
"hierarchy_detected": false,
"parent_cluster_id": "<string>",
"child_cluster_ids": [
"<string>"
],
"hierarchy_relationships": [
{}
],
"status": "PENDING",
"error": "<string>",
"last_execution_task_id": "<string>",
"last_run_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_executed_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"llm_labeling_errors": [
"<string>"
],
"metadata": {}
}
],
"pagination": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"next_page": "<string>",
"previous_page": "<string>",
"next_cursor": "<string>"
},
"total_count": 123,
"stats": {
"total_clusters": 0,
"total_documents": 0,
"avg_documents_per_cluster": 0,
"clusters_by_status": {}
}
}Clusters
List Clusters
This endpoint allows you to list clusters.
POST
/
v1
/
clusters
/
list
List Clusters
curl --request POST \
--url https://api.mixpeek.com/v1/clusters/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": {
"AND": [
{
"field": "name",
"operator": "eq",
"value": "John"
},
{
"field": "age",
"operator": "gte",
"value": 30
}
],
"OR": [
{
"field": "status",
"operator": "eq",
"value": "active"
},
{
"field": "role",
"operator": "eq",
"value": "admin"
}
],
"NOT": [
{
"field": "department",
"operator": "eq",
"value": "HR"
},
{
"field": "location",
"operator": "eq",
"value": "remote"
}
],
"case_sensitive": true
},
"sort": {
"field": "created_at",
"direction": "desc"
},
"search": "<string>"
}
'{
"results": [
{
"cluster_name": "<string>",
"namespace_id": "<string>",
"input_collections": [
"<string>"
],
"cluster_id": "<string>",
"source_bucket_ids": [
"<string>"
],
"filters": {},
"feature_uris": [
"<string>"
],
"multi_feature_strategy": "<string>",
"learned_weights": {},
"learning_quality_score": 123,
"effective_feature_method": "<string>",
"face_cluster_merge": {
"enabled": true,
"centroid_cosine_threshold": 0.55,
"bbox_iou_threshold": 0.4,
"scene_jaccard_threshold": 0.3,
"bbox_field": "bbox",
"frame_field": "frame_number",
"scene_field": "scene_id"
},
"sample_size": 123,
"preprocessing_steps": [
{}
],
"hierarchical_vector": true,
"max_hierarchy_depth": 123,
"clustered_attributes": [
"<string>"
],
"hierarchical_grouping": true,
"aggregation_method": "<string>",
"output_collection_ids": [
"<string>"
],
"output_collection_names": [
"<string>"
],
"algorithm": "<string>",
"algorithm_params": {},
"enrich_source": false,
"source_enrichment_config": {
"field_mappings": [
{
"source_field": "cluster_id",
"target_field": "category_id"
},
{
"source_field": "cluster_label",
"target_field": "category_name"
},
{
"source_field": "distance_to_centroid",
"target_field": "category_confidence"
}
]
},
"llm_labeling": {
"enabled": true,
"include_keywords": true,
"include_summary": true,
"labeling_inputs": {
"input_mappings": [
{
"input_key": "title",
"path": "title",
"source_type": "payload"
},
{
"input_key": "description",
"path": "description",
"source_type": "payload"
},
{
"input_key": "text",
"path": "text",
"source_type": "payload"
}
]
},
"model_name": "gpt-4o-mini-2024-07-18",
"provider": "openai"
},
"num_clusters": 123,
"num_documents_clustered": 123,
"execution_time_seconds": 123,
"quality_metrics": {},
"hierarchy_detected": false,
"parent_cluster_id": "<string>",
"child_cluster_ids": [
"<string>"
],
"hierarchy_relationships": [
{}
],
"status": "PENDING",
"error": "<string>",
"last_execution_task_id": "<string>",
"last_run_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_executed_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"llm_labeling_errors": [
"<string>"
],
"metadata": {}
}
],
"pagination": {
"total": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"next_page": "<string>",
"previous_page": "<string>",
"next_cursor": "<string>"
},
"total_count": 123,
"stats": {
"total_clusters": 0,
"total_documents": 0,
"avg_documents_per_cluster": 0,
"clusters_by_status": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required range:
1 <= x <= 1000Required range:
1 <= x <= 1000Required range:
0 <= x <= 10000Required range:
x >= 1Body
application/json
Request model for listing clusters.
Response
Successful Response
Response model for listing clusters.
List of cluster metadata
Show child attributes
Show child attributes
Pagination information
Show child attributes
Show child attributes
Total number of clusters matching the query
Aggregate statistics across all clusters in the result
Show child attributes
Show child attributes
Was this page helpful?
⌘I

